RIG(6)

NAME
RIG - Random Identity Generator

USAGE
rig [ -f | -m ] [ -d datadir ] [ -c num ]

DESCRIPTION
Rig is a utility that will piece together a random first name, last name, street number and address, along with a geographically consistant (ie, they all match the same area) city, state, ZIP code, and area code.

It is suitable for such applications as feeding the NY times registration page to fend off junk (snail) mail and telemarketers, or for registering on BBS's to which you don't wish to reveal your real information.

OPTIONS

-f, -m
    Respectively, use female and male names. If neither or both options are selected, RIG uses both female and male names.

-d datadir
    Use data files found in datadir. Without this option, the default directory of /data/data/com.termux/files/usr/share/rig is assumed.

-c num
    Output num identities. Default is 1.

FILES
/data/data/com.termux/files/usr/share/rig/locdata.idx
/data/data/com.termux/files/usr/share/rig/street.idx
/data/data/com.termux/files/usr/share/rig/fnames.idx
/data/data/com.termux/files/usr/share/rig/mnames.idx
/data/data/com.termux/files/usr/share/rig/lnames.idx

HISTORY
Based on "fake" written for MS-DOS. Unfortunately the author and publish date are unknown. First UNIX version written from scratch in 1999. This manpage based on RIG version 1.10.

AUTHORS
UNIX version (c) 1999-2002 Ian Turner with contributions from Ian Prowell, Nick Rusnov, and Schneelocke. Geography Database is from the original version and I believe it to be held in the public domain. Names database is from the US Census at http://www.census.gov/genealogy/names/ , courtesy of Trent Stanley.

Send all comments and bug-reports to:

vectro@RIG.sourceforge.net